# Uses of Interface
org.springframework.web.cors.CorsProcessor

Packages that use CorsProcessor
Package
Description
org.springframework.web.cors
Support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.filter
Provides generic filter base classes allowing for bean-style configuration.

## Uses of CorsProcessor in org.springframework.web.cors

Classes in org.springframework.web.cors that implement CorsProcessor
Modifier and Type
Class
Description
`class`
`DefaultCorsProcessor`
The default implementation of `CorsProcessor`, as defined by the CORS W3C recommendation.

## Uses of CorsProcessor in org.springframework.web.filter

Methods in org.springframework.web.filter with parameters of type CorsProcessor
Modifier and Type
Method
Description
`void`
CorsFilter.`setCorsProcessor(CorsProcessor processor)`
Configure a custom `CorsProcessor` to use to apply the matched `CorsConfiguration` for a request.